com.sap.conn.jco

## Interface JCoCustomDestination.UserData

- Enclosing interface:
    JCoCustomDestination

      public static interface JCoCustomDestination.UserData

  UserData allows change the logon configuration data for a JCoCustomDestination.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `requestSSOTicket(boolean request)` If the SSO ticket is requested, then the ABAP Server will generate a new SSO Ticket, that can be used to logon to other systems.
    `void` | `setAliasUser(String aliasUser)` Adjusts the alias that can be used instead of the user name
    `void` | `setClient(String client)` Adjust the client of the ABAP system
    `void` | `setExternalIDData(String extIDData)` Sets the external identification user logon data.
    `void` | `setExternalIDType(String extIDType)` Sets the type of the external identification user logon data.
    `void` | `setLanguage(String lang)` Adjusts the language with which the logon is done.
    `void` | `setLogonCheck(int lcheck)` Value 0 delays the logon check until the first call will be sent
    `void` | `setPassword(String passwd)` Adjusts the password.
    `void` | `setSSOTicket(String base64CodedSSOTicket)` Sets the SAP SSO ticket, that will be used for the authentication instead of the password.
    `void` | `setUser(String user)` Adjusts the user used for the logon.
    `void` | `setX509Certificate(String base64CodedCertificate)` Sets the X.509 certificate, that will be used for the authentication instead of the password.

- - ### Method Detail

    - #### setClient

          void setClient(String client)

      Adjust the client of the ABAP system
      Parameters:
        `client` - ABAP system client number

    - #### setUser

          void setUser(String user)

      Adjusts the user used for the logon.
      Parameters:
        `user` - user logon name

    - #### setAliasUser

          void setAliasUser(String aliasUser)

      Adjusts the alias that can be used instead of the user name
      Parameters:
        `aliasUser` - alias name

    - #### setPassword

          void setPassword(String passwd)

      Adjusts the password. Typically needs to be adjusted when the user is changed.
      Parameters:
        `passwd` - password

    - #### setLanguage

          void setLanguage(String lang)

      Adjusts the language with which the logon is done.
      Parameters:
        `lang` - language as ISO string of length 2

    - #### setLogonCheck

          void setLogonCheck(int lcheck)

      Value 0 delays the logon check until the first call will be sent
      Parameters:
        `lcheck` - 0 or 1, default value is 1

    - #### setX509Certificate

          void setX509Certificate(String base64CodedCertificate)

      Sets the X.509 certificate, that will be used for the authentication instead of the password.
      Parameters:
        `base64CodedCertificate` - string containing base64 encoded X.509 certificate

    - #### setSSOTicket

          void setSSOTicket(String base64CodedSSOTicket)

      Sets the SAP SSO ticket, that will be used for the authentication instead of the password.
      Parameters:
        `base64CodedSSOTicket` - string containing base64 encoded SAP SSO ticket

    - #### requestSSOTicket

          void requestSSOTicket(boolean request)

      If the SSO ticket is requested, then the ABAP Server will generate a new SSO Ticket, that can be used to logon to other systems.
      Parameters:
        `request` - true or false, default value is false

    - #### setExternalIDData

          void setExternalIDData(String extIDData)

      Sets the external identification user logon data. Its format depends on the external ID type. The mapping to the actual logon user has to be defined in the AS ABAP system table `VUSREXTID`.

      Note: This is an old logon mechanism and should no longer be used.

      Parameters:
        `extIDData` - external ID data
      Since:
        JCo 3.0.9

    - #### setExternalIDType

          void setExternalIDType(String extIDType)

      Sets the type of the external identification user logon data. Possible values are for example "NT" for an NT Domain User (NTLM), "MP" for a Microsoft .NET Passport UID (PUID), "ID" for ID data from a trusted RFC system, or "DN" for a Distinguished Name (DN) of a Certificate (X.500).

      Note: This is an old logon mechanism and should no longer be used.

      Parameters:
        `extIDType` - external ID type
      Since:
        JCo 3.0.9

Copyright © 2019 SAP. All Rights Reserved.